Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] Open-mpi running issue and bug
From: Ralph Castain (rhc_at_[hidden])
Date: 2013-01-03 22:53:33


If you are building from a tarball, you don't need nor want to run autogen. All you want to do is run ./configure.

If you attempt to run autogen, you'll have to install all the required tools - including an appropriate libtool. Unless you are adding a component to OMPI, you're better off not doing so.

On Jan 3, 2013, at 7:19 PM, Edge Edge <edge_diners_at_[hidden]> wrote:

> Hi,
>
> When I issue the following command as shown in the info listed (http://www.open-mpi.org/community/help/):
> [home_at_edge openmpi-1.6.3]$mpirun --bynode --hostfile my_hostfile.txt --tag-output ompi_info -v ompi full --parsable
> [home_at_edge openmpi-1.6.3]$ --------------------------------------------------------------------------
> It looks like opal_init failed for some reason; your parallel process is
> likely to abort. There are many reasons that a parallel process can
> fail during opal_init; some of which are due to configuration or
> environment problems. This failure appears to be an internal failure;
> here's some additional information (which may only be relevant to an
> Open MPI developer):
>
> opal_shmem_base_select failed
> --> Returned value -1 instead of OPAL_SUCCESS
> --------------------------------------------------------------------------
> [home_at_edge:77658] [[INVALID],INVALID] ORTE_ERROR_LOG: Error in file runtime/orte_init.c at line 79
> [home_at_edge:77658] [[INVALID],INVALID] ORTE_ERROR_LOG: Error in file orterun.c at line 694
>
> I was downloading "openmpi-1.6.3".
> If I issue the following command in order to install openmpi-1.6.3.
> It gives me the following log info after I issue, ./autogen.sh
> log file:
> *** Running GNU tools
> [Running] autom4te --language=m4sh ompi_get_version.m4sh -o ompi_get_version.sh
> [Running] libtoolize --automake --copy --ltdl
>
> -------------------------------------------------------------------------
> It seems that the execution of "libtoolize --automake --copy --ltdl" has failed. See above for
> the specific error message that caused it to abort.
> -------------------------------------------------------------------------
>
> error log file:
> configure.in:2125: installing `confdb/config.guess'
> configure.in:2125: installing `confdb/config.sub'
> configure.in:210: installing `confdb/install-sh'
> configure.in:210: installing `confdb/missing'
> adio/ad_bgl/Makefile.am: installing `confdb/depcomp'
> configure.in:96: installing `config/compile'
> configure.in:34: installing `config/config.guess'
> configure.in:34: installing `config/config.sub'
> configure.in:8: installing `config/install-sh'
> configure.in:8: installing `config/missing'
> rfg/Makefile.am: installing `config/depcomp'
> configure.in:10: installing `config/config.guess'
> configure.in:10: installing `config/config.sub'
> configure.in:11: installing `config/install-sh'
> configure.in:11: installing `config/missing'
> otfauxlib/Makefile.am: installing `config/depcomp'
> libtoolize: `COPYING.LIB' not found in `/usr/share/libtool/libltdl'
>
> Thanks and looking forward to hear from you.
>
> best regards
> Edge
>
> From: Jeff Squyres (jsquyres) <jsquyres_at_[hidden]>
> To: Open MPI Users <users_at_[hidden]>
> Cc: Edge Edge <edge_diners_at_[hidden]>
> Sent: Sunday, December 30, 2012 2:07 AM
> Subject: Re: [OMPI users] Open-mpi running issue and bug
>
> Please sent all the info listed here:
>
> http://www.open-mpi.org/community/help/
>
>
> On Dec 28, 2012, at 11:42 AM, Ralph Castain <rhc_at_[hidden]>
> wrote:
>
> > What version of OMPI are you using? How was it configured?
> >
> >
> > On Dec 28, 2012, at 2:16 AM, Edge Edge <edge_diners_at_[hidden]> wrote:
> >
> >> Hi,
> >>
> >> Currently I was trying to run mpirun to improve the performance of my running.
> >> However it keeps on showing the following bug:
> >>
> >> --------------------------------------------------------------------------
> >> It looks like opal_init failed for some reason; your parallel process is
> >> likely to abort. There are many reasons that a parallel process can
> >> fail during opal_init; some of which are due to configuration or
> >> environment problems. This failure appears to be an internal failure;
> >> here's some additional information (which may only be relevant to an
> >> Open MPI developer):
> >>
> >> opal_shmem_base_select failed
> >> --> Returned value -1 instead of OPAL_SUCCESS
> >> --------------------------------------------------------------------------
> >> [home:07059] [[INVALID],INVALID] ORTE_ERROR_LOG: Error in file runtime/orte_init.c at line 79
> >> [home:07059] [[INVALID],INVALID] ORTE_ERROR_LOG: Error in file orterun.c at line 694
> >> make: *** [sample-1.fa] Error 255
> >>
> >> Can I know how to solve this bug?
> >> I got try to google around but I still fail to find related answer.
> >>
> >> Below is the spec of my server:
> >> Linux home 2.6.32-71.el6.x86_64 #1 SMP Wed Sep 1 01:33:01 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux
> >>
> >> Hope it is useful for you in order to solve the bug.
> >>
> >> Thanks.
> >>
> >>
> >> best regards
> >> Edge
> >>
> >>
> >> _______________________________________________
> >> users mailing list
> >> users_at_[hidden]
> >> http://www.open-mpi.org/mailman/listinfo.cgi/users
> >
> > _______________________________________________
> > users mailing list
> > users_at_[hidden]
> > http://www.open-mpi.org/mailman/listinfo.cgi/users
>
>
>
> _______________________________________________
> users mailing list
> users_at_[hidden]
> http://www.open-mpi.org/mailman/listinfo.cgi/users